<?php
namespace TYPO3\CMS\Core\Resource\Processing;

/**
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

/**
 * Interface for file processors. All classes capable of processing a file have to implement this interface.
 */
interface ProcessorInterface {

	/**
	 * Returns TRUE if this processor can process the given task.
	 *
	 * @param TaskInterface $task
	 * @return boolean
	 */
	public function canProcessTask(TaskInterface $task);

	/**
	 * Processes the given task and sets the processing result in the task object.
	 *
	 * @param TaskInterface $task
	 * @return void
	 */
	public function processTask(TaskInterface $task);
}
